---
type: api
title: Bulk remove OpAMP collectors
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana-serverless/operation/operation-post-fleet-agents-bulk-remove-collectors
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana-serverless/operation/operation-post-fleet-agents-bulk-remove-collectors
products:
  - Kibana
---

# Bulk remove OpAMP collectors

Availability:

- Server: `https://{kibana_url}`

## Paths

- `POST` `/api/fleet/agents/bulk_remove_collectors`
- `POST` `/s/{space_id}/api/fleet/agents/bulk_remove_collectors`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana-serverless/authentication#apikeyauth)

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

Remove multiple OpAMP collectors from the Fleet agents list. Marks the collectors as unenrolled. This action does not invalidate API keys, so collectors can reconnect on their own.<br/><br/>[Required authorization] Route required privileges: fleet-agents-all.

## Request Body

`application/json`

- `agents` (union [] string | string) — required
- `dryRun` (boolean) — optional
- `includeInactive` (boolean) — optional
  When passing collectors by KQL query, also removes inactive collectors

## Responses

#### `200`

Successful response

`application/json`

Any of:
- **{ actionId }**
  - `actionId` (string)
- **{ count }**
  - `count` (number)
#### `400`

Bad Request

`application/json`

- `attributes` (object)
- `error` (string)
- `errorType` (string)
- `message` (string)
- `statusCode` (number)
## Code Examples

#### Console

```console
POST /api/fleet/agents/bulk_remove_collectors
{
  "agents": [
    "collector-id-1",
    "collector-id-2"
  ]
}
```

#### curl

```curl
curl -X POST "https://{kibana_url}/api/fleet/agents/bulk_remove_collectors" \
  -H "kbn-xsrf: true" \
  -H "Content-Type: application/json" \
  -d '{
  "agents": [
    "collector-id-1",
    "collector-id-2"
  ]
}'
```

## Response Examples

#### Post bulk remove collectors

Bulk remove collectors action result

```json
{
  "actionId": "action-id-1"
}
```

#### Generic error response

Example of a generic error response

```json
{
  "error": "Bad Request",
  "message": "An error message describing what went wrong",
  "statusCode": 400
}
```

